Name:           bcel
Version:        6.5.0
Release:        %mkrel 2
Group:          Development/Java
Summary:        Byte Code Engineering Library
License:        ASL 2.0
URL:            https://commons.apache.org/proper/commons-bcel/
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://archive.apache.org/dist/commons/bcel/source/bcel-%{version}-src.tar.gz

Patch1:         0001-CVE-2022-42920.patch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.commons:commons-parent:pom:)

%description
The Byte Code Engineering Library (formerly known as JavaClass) is
intended to give users a convenient possibility to analyze, create, and
manipulate (binary) Java class files (those ending with .class). Classes
are represented by objects which contain all the symbolic information of
the given class: methods, fields and byte code instructions, in
particular.  Such objects can be read from an existing file, be
transformed by a program (e.g. a class loader at run-time) and dumped to
a file again. An even more interesting application is the creation of
classes from scratch at run-time. The Byte Code Engineering Library
(BCEL) may be also useful if you want to learn about the Java Virtual
Machine (JVM) and the format of Java .class files.  BCEL is already
being used successfully in several projects such as compilers,
optimizers, obsfuscators and analysis tools, the most popular probably
being the Xalan XSLT processor at Apache.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package provides %{summary}.

%prep
%setup -q -n %{name}-%{version}-src
%patch1 -p1

%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :spotbugs-maven-plugin

%mvn_alias : bcel: apache:
%mvn_file : %{name}

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc RELEASE-NOTES.txt
%license LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt


%changelog
* Thu Dec 22 2022 daviddavid <daviddavid> 6.5.0-2.mga9
+ Revision: 1925663
- Fix arbitrary bytecode produced via out-of-bounds writing
- Resolves: CVE-2022-42920

* Mon Jul 25 2022 neoclust <neoclust> 6.5.0-1.mga9
+ Revision: 1871490
- New version 6.5.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 0:6.4.1-2.mga8
+ Revision: 1536210
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 0:6.4.1-1.mga8
+ Revision: 1453710
- Update to version 6.4.1

* Sat Aug 24 2019 daviddavid <daviddavid> 0:6.3.1-1.mga8
+ Revision: 1431562
- Update to upstream version 6.3.1
- Fixes: RHBZ #1692150

* Thu Sep 20 2018 umeabot <umeabot> 0:6.2-2.mga7
+ Revision: 1277638
- Mageia 7 Mass Rebuild

* Fri Aug 31 2018 daviddavid <daviddavid> 0:6.2-1.mga7
+ Revision: 1255844
- new version: 6.2 (sync with fc29)

* Wed Mar 02 2016 neoclust <neoclust> 0:6.0-0.4.20140406svn1592769.2.mga6
+ Revision: 982173
- Second rebuild of the java stack

* Tue Mar 01 2016 daviddavid <daviddavid> 0:6.0-0.4.20140406svn1592769.1.mga6
+ Revision: 981700
- First rebuild of the java stack
+ neoclust <neoclust>
- sync package bcel with fedora

* Wed Dec 31 2014 pterjan <pterjan> 0:6.0-0.2.20140406svn1592769.mga5
+ Revision: 807686
- Sync with Fedora 21 (update to r1592769)

* Wed Oct 15 2014 umeabot <umeabot> 0:5.2-19.mga5
+ Revision: 746699
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Jan 06 2014 dmorgan <dmorgan> 0:5.2-17.mga4
+ Revision: 565029
- Complete spec file rewrite
- Build with Maven instead of Ant
- Remove manual subpackage

* Fri Oct 18 2013 umeabot <umeabot> 0:5.2-16.mga4
+ Revision: 503064
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0:5.2-15.mga3
+ Revision: 346881
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 dmorgan <dmorgan> 0:5.2-14.mga3
+ Revision: 338799
- Clean spec file ( fedora)

* Thu Oct 20 2011 dmorgan <dmorgan> 0:5.2-4.mga2
+ Revision: 156857
- Remove non existing macro
- Fix release

* Fri Jan 14 2011 ahmad <ahmad> 0:5.2-3.0.7.mga1
+ Revision: 17876
- imported package bcel


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0:5.2-3.0.7mdv2011.0
+ Revision: 603757
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0:5.2-3.0.6mdv2010.1
+ Revision: 522189
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0:5.2-3.0.5mdv2010.0
+ Revision: 413159
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 0:5.2-3.0.4mdv2009.1
+ Revision: 350205
- 2009.1 rebuild

* Wed Jan 09 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:5.2-3.0.3mdv2008.1
+ Revision: 147304
- no package should install in default_poms except common-poms

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:5.2-3.0.2mdv2008.1
+ Revision: 120834
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sun Dec 09 2007 Alexander Kurtakov <akurtakov@mandriva.org> 0:5.2-3.0.1mdv2008.1
+ Revision: 116744
- add maven poms and fragments (sync with jpp)

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:5.2-1.5mdv2008.0
+ Revision: 87224
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Sat Sep 08 2007 Pascal Terjan <pterjan@mandriva.org> 0:5.2-1.4mdv2008.0
+ Revision: 82703
- Make the package submitable
- update to new version

  + Adam Williamson <awilliamson@mandriva.org>
    - rebuild for 2008
    - Fedora license policy


* Thu Mar 08 2007 David Walluck <walluck@mandriva.org> 5.2-1.2mdv2007.1
+ Revision: 134930
- BuildRequires: ant-nodeps
- 5.2
- Import bcel

* Sun Jul 23 2006 David Walluck <walluck@mandriva.org> 0:5.1-6.1mdv2007.0
- bump release

* Sun Jun 04 2006 David Walluck <walluck@mandriva.org> 0:5.1-5.2mdv2007.0
- rebuild for libgcj.so.
- aot-compile

* Sun May 08 2005 David Walluck <walluck@mandriva.org> 0:5.1-5.1mdk
- release

* Fri Nov 19 2004 David Walluck <david@jpackage.org> 0:5.1-5jpp
- rebuild to fix packager

* Sat Nov 06 2004 David Walluck <david@jpackage.org> 0:5.1-4jpp
- rebuild with javac 1.4.2

* Sun Oct 17 2004 David Walluck <david@jpackage.org> 0:5.1-3jpp
- rebuild for JPackage 1.6

* Sat Aug 21 2004 Ralph Apel <r.apel at r-apel.de> 0:5.1-2jpp
- Build with ant-1.6.2

